Skip to content
Start here

Create Service Binding

client.addressing.prefixes.serviceBindings.create(stringprefixId, ServiceBindingCreateParams { account_id, cidr, service_id } params, RequestOptionsoptions?): ServiceBinding { id, cidr, provisioning, 2 more }
POST/accounts/{account_id}/addressing/prefixes/{prefix_id}/bindings

Creates a new Service Binding, routing traffic to IPs within the given CIDR to a service running on Cloudflare’s network. NOTE: The first Service Binding created for an IP Prefix must exactly match the IP Prefix’s CIDR. Subsequent Service Bindings may be created with a more-specific CIDR. Refer to the Service Bindings Documentation for compatibility details.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
IP Prefixes: Write
ParametersExpand Collapse
prefixId: string

Identifier of an IP Prefix.

maxLength32
params: ServiceBindingCreateParams { account_id, cidr, service_id }
account_id: string

Path param: Identifier of a Cloudflare account.

maxLength32
cidr: string

Body param: IP Prefix in Classless Inter-Domain Routing format.

service_id: string

Body param: Identifier of a Service on the Cloudflare network. Available services and their IDs may be found in the List Services endpoint.

maxLength32
ReturnsExpand Collapse
ServiceBinding { id, cidr, provisioning, 2 more }
id?: string

Identifier of a Service Binding.

maxLength32
cidr?: string

IP Prefix in Classless Inter-Domain Routing format.

provisioning?: Provisioning { state }

Status of a Service Binding’s deployment to the Cloudflare network

state?: "provisioning" | "active"

When a binding has been deployed to a majority of Cloudflare datacenters, the binding will become active and can be used with its associated service.

One of the following:
"provisioning"
"active"
service_id?: string

Identifier of a Service on the Cloudflare network. Available services and their IDs may be found in the List Services endpoint.

maxLength32
service_name?: string

Name of a service running on the Cloudflare network

Create Service Binding

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const serviceBinding = await client.addressing.prefixes.serviceBindings.create(
  '2af39739cc4e3b5910c918468bb89828',
  {
    account_id: '258def64c72dae45f3e4c8516e2111f2',
    cidr: '192.0.2.0/24',
    service_id: '2db684ee7ca04e159946fd05b99e1bcd',
  },
);

console.log(serviceBinding.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "0429b49b6a5155297b78e75a44b09e14",
    "cidr": "192.0.2.0/24",
    "provisioning": {
      "state": "provisioning"
    },
    "service_id": "2db684ee7ca04e159946fd05b99e1bcd",
    "service_name": "Magic Transit"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "0429b49b6a5155297b78e75a44b09e14",
    "cidr": "192.0.2.0/24",
    "provisioning": {
      "state": "provisioning"
    },
    "service_id": "2db684ee7ca04e159946fd05b99e1bcd",
    "service_name": "Magic Transit"
  }
}